{
    "path": "$OET_PATH/testcases/function_test/pkg_test/hplip/hplip",
    "machine num": 1,
    "cases": [
        {
            "name": "test_hplip_install_package",
            "desc": "测试hplip软件包的安装功能，验证安装过程是否正常完成",
            "machine num": 1
        },
        {
            "name": "test_hplip_uninstall_package",
            "desc": "测试hplip软件包的卸载功能，验证卸载过程是否正常完成",
            "machine num": 1
        },
        {
            "name": "test_hplip_rollback_package",
            "desc": "测试hplip软件包的回滚功能，验证回滚过程是否正常完成",
            "machine num": 1
        },
        {
            "name": "test_hplip_hp-align_h",
            "desc": "测试显示帮助信息运行hp-align命令"
        },
        {
            "name": "test_hplip_hp-check_c",
            "desc": "测试 hp-check 命令的编译时检查功能"
        },
        {
            "name": "test_hplip_hp-check_r",
            "desc": "测试 hp-check 命令的运行时检查功能"
        },
        {
            "name": "test_hplip_hp-check_b",
            "desc": "测试 hp-check 命令的编译和运行时检查功能"
        },
        {
            "name": "test_hplip_hp-check_l_error",
            "desc": "测试 hp-check 命令的日志级别设置为 error"
        },
        {
            "name": "test_hplip_hp-check_l_warn",
            "desc": "测试 hp-check 命令的日志级别设置为 warn"
        },
        {
            "name": "test_hplip_hp-check_l_debug",
            "desc": "测试 hp-check 命令的日志级别设置为 debug"
        },
        {
            "name": "test_hplip_hp-check_help",
            "desc": "测试 hp-check 命令的帮助信息功能"
        },
        {
            "name": "test_hplip_hp-colorcal_l_debug",
            "desc": "测试设置日志级别为debug运行颜色校准"
        },
        {
            "name": "test_hplip_hp-diagnose_plugin_l_error",
            "desc": "测试 hp-diagnose_plugin 命令的日志级别为 error"
        },
        {
            "name": "test_hplip_hp-diagnose_plugin_g",
            "desc": "测试 hp-diagnose_plugin 命令的调试模式"
        },
        {
            "name": "test_hplip_hp-diagnose_plugin_h",
            "desc": "测试 hp-diagnose_plugin 命令的帮助信息"
        },
        {
            "name": "test_hplip_hp-diagnose_queues_l_none",
            "desc": "测试日志级别为none"
        },
        {
            "name": "test_hplip_hp-fab_i",
            "desc": "测试 hp-fab 命令的交互模式"
        },
        {
            "name": "test_hplip_hp-linefeedcal_h",
            "desc": "测试显示帮助信息运行hp-linefeedcal命令"
        },
        {
            "name": "test_hplip_hp-printsettings_d",
            "desc": "测试使用设备URI参数"
        },
        {
            "name": "test_hplip_hp-printsettings_h",
            "desc": "测试使用帮助信息参数"
        }
    ]
}